# Mashroom Invitation

The Invitation service is intended to store invitations and provide API methods to manipulate them. The service is also used to verify contacts.

## GRPC API

Method | Scope | Description
-|-|-
`CreateInvitation` | | Creates an invitation and sends notification to invitee (via Notification service)
`AcceptInvitation` | | Changes the status of an existing invitation to "Accepted"
`DeclineInvitation` | | Changes the status of an existing invitation to "Declined"
`InvitationStatus` | | Returns existing invitation status
`InvitationListIncoming` | | Returns a list of incoming invitations for given email and property
`InvitationListOutgoing` | | Returns a list of outgoing invitations for given user
`ListFilter` | | Returns a filtered list of all stored invitations
`CreateContactValidation` | | Creates a contact validation (object that is used to verify phone number or email)
`VerifyContact` | | Verifies a contact using a validation created by `CreateContactValidation`
`GetInvitation` | | Finds and returns an invitation by ID
`DeclineInvitationById` | | Copy of `DeclineInvitation`
`CancelInvitationById` | | Changes the status of an existing invitation to "Canceled"
`CancelInvitationsByProperty` | | Changes the status of all property's invitations to "Canceled"
`Update` | | Updates an existing invitation
`ReferLandlord` | | Adds strings to the Google sheet (see code)

(TODO: a more detailed description of the methods is needed)

## GRPC coupling

Service | Use
-|-
Account | User account store (only getting data)
Property | Property (real estate) store
Notification | Notification by email and sms

## Databases

DBMS | Extensions
-|-
MongoDB | none
  
Access abstraction: none.  
Migrations: none (Mongo Collection handlers are connected at startup).

Database models are coupled to the generated GRPC data structures.

## Zeebe integration

### Job handler ("invitation-service")

Operation | Description
-|-
`invite-user` | Creates an invitation using the GRPC API `CreateInvitation` method

### Monitoring API

None.

## Observability

N/A

## Notes
