//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. --proto_path=. --proto_path=vendor/gitlab.mashplace.com/mashplace/backend mashroom_invitation.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mockinvitation -destination=mock/client.go . InvitationServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package invitation - api definition
package invitation // import "gitlab.mashplace.com/mashplace/backend/invitation/api"

import (
	_ "gitlab.mashplace.com/mashplace/backend/common/api/generic/query" // required vendor
	_ "gitlab.mashplace.com/mashplace/backend/notification/api"         // required vendor
)
