// Package schema provides schema migrations
package schema

import (
	"gitlab.mashplace.com/mashplace/backend/common/generic/migrations"
	migrationsMongo "gitlab.mashplace.com/mashplace/backend/common/generic/migrations/mongo"
	"gitlab.mashplace.com/mashplace/backend/invitation/internal/model/mongo/migrations/schema/s1v0001"
	"gitlab.mashplace.com/mashplace/backend/invitation/internal/model/mongo/migrations/schema/s1v0002"
	"gitlab.mashplace.com/mashplace/backend/invitation/internal/model/mongo/migrations/schema/s1v0003"
)

var migrationList = []migrations.Migration{
	&migrationsMongo.Migration{
		Version: "v1",
		Up:      s1v0001.Up,
	},
	&migrationsMongo.Migration{
		Version: "v2",
		Up:      s1v0002.Up,
	},
	&migrationsMongo.Migration{
		Version: "v3",
		Up:      s1v0003.Up,
	},
}

// Migrations returns migration list
func Migrations() (ms []migrations.Migration) {
	return migrationList
}
