// Package s1v0002 schema migration
package s1v0002

import (
	"context"
	"time"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (affected int, err error) {
	inv := db.Collection("invitations")

	_, err = inv.UpdateMany(ctx, bson.M{"notifications.landlord_pending_over_24h": true}, bson.M{
		"$set": bson.M{
			"notifications.landlord_pending_over_24h": time.Now(),
		},
	})
	if err != nil {
		return -1, err
	}

	_, err = inv.UpdateMany(ctx, bson.M{"notifications.landlord_pending_over_24h": bson.M{"$ne": true}}, bson.M{
		"$unset": bson.M{
			"notifications.landlord_pending_over_24h": "",
		},
	})
	if err != nil {
		return -1, err
	}

	return -1, nil
}
