package render

import (
	invitation "gitlab.mashplace.com/mashplace/backend/invitation/api"
	"gitlab.mashplace.com/mashplace/backend/invitation/internal/model"
	"google.golang.org/protobuf/types/known/timestamppb"
)

// Invitations returns grpc model format
func Invitations(ms []*model.Invitation) (invs []*invitation.Invitation) {
	for _, m := range ms {
		invs = append(invs, Invitation(m))
	}

	return
}

// Invitation returns grpc model format
func Invitation(m *model.Invitation) *invitation.Invitation {
	return &invitation.Invitation{
		Id:     m.ID.Hex(),
		Type:   m.Type,
		HostId: m.HostID,
		Invitee: &invitation.User{
			UserId: m.Invitee.UserID,
			Email:  m.Invitee.Email,
			Phone:  m.Invitee.Phone,
			Name:   m.Invitee.Name,
		},
		Property: &invitation.Property{
			PropertyId: m.Property.PropertyID,
			VersionId:  m.Property.VersionID,
		},
		Offer:          m.Offer,
		CreatedAt:      timestamppb.New(m.CreatedAt),
		ExpiresAt:      timestamppb.New(m.ExpiresAt),
		UpdatedAt:      timestamppb.New(m.UpdatedAt),
		Status:         m.Status,
		Message:        m.Message,
		NotifyCallback: m.NotifyURL,
		Otp:            m.Otp,
	}
}
